Bug 123169 - dns/nss_mdns: not returning IPv6 address on getaddrinfo() function call
Summary: dns/nss_mdns: not returning IPv6 address on getaddrinfo() function call
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bruce M Simpson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-28 13:10 UTC by Ashish Shukla
Modified: 2008-09-01 02:21 UTC (History)
0 users

See Also:


Attachments
file.diff (1.05 KB, patch)
2008-04-28 13:10 UTC, Ashish Shukla
no flags Details | Diff
nss_mdns.diff (24.35 KB, patch)
2008-06-24 05:37 UTC, Ashish Shukla
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ashish Shukla 2008-04-28 13:10:02 UTC
Whenever I execute getaddrinfo() function from libc with a 'hostname.local'
address as an argument and AF_INET6 as ai.ai_family, I always get an IPv4
address, even when 'avahi-resolve-host-name -6 hostname.local' returns
an IPv6 address.

Fix: Refer to the attached patch.txt, which is a patch for dns/nss_mdns port, and will fix the issue.

Patch attached with submission follows:
How-To-Repeat: I've written a test program getaddrinfo.c[1] which does a
getaddrinfo() function call and prints the result on the terminal.

[1] - http://pastebin.com/pastebin.php?dl=f20d45049
Comment 1 Edwin Groothuis freebsd_committer 2008-04-28 13:10:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bms

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ashish Shukla 2008-06-24 05:37:26 UTC
Hi,

Updated diff for updating nss_mdns to v0.10. This diff needs to be
applied on /usr/ports/dns/nss_mdns .

Please ignore any earlier diffs.

Thanks
-- 
Ashish Shukla à¤à¤¶à¥à¤· शà¥à¤à¥à¤²                      http://wahjava.wordpress.com/
·-- ·- ···· ·--- ·- ···- ·- ·--·-· --· -- ·- ·· ·-·· ·-·-·- -·-· --- --
Comment 3 Edwin Groothuis freebsd_committer 2008-09-01 02:21:28 UTC
State Changed
From-To: open->closed

Closed with ports/126952